// RESIZE
var growboxInset;

function mouseDown(event) {
 
    document.addEventListener("mousemove", mouseMove, true);
    document.addEventListener("mouseup", mouseUp, true);
 
    growboxInset = {x:(window.innerWidth - event.x), y:(window.innerHeight - event.y)};
 
    event.stopPropagation();
    event.preventDefault();
}
 
function mouseMove(event) {
	var x = event.x + growboxInset.x;
	var y = event.y + growboxInset.y;
 
	if (x < 348) 	// an arbitrary minimum width
		x = 348;

	if (y < 300) 		// an arbitrary minimum height
		y = 300;

	if (x > 450) {
		document.getElementById("progSetOne").innerHTML = "Kanalsett 1";
		document.getElementById("progSetTwo").innerHTML = "Kanalsett 2";
	}
	if (x < 450) {
		document.getElementById("progSetOne").innerHTML = "1";
		document.getElementById("progSetTwo").innerHTML = "2";
	}	
    document.getElementById("resize").style.top = (y-12);
    window.resizeTo(x,y);
	
    event.stopPropagation();
    event.preventDefault();
	gMyScrollArea.refresh();
	gMyScrollbar.refresh();
	bgMyScrollArea.refresh();
	bgMyScrollbar.refresh();
	/*
	if (gMyScrollbar.hidden == true) {
		document.getElementById('ScrollArea').style.right = 0;

	}
	else {
		document.getElementById('ScrollArea').style.right = "30px";

	}
	*/
}
 
 
function mouseUp(event) {
	document.removeEventListener("mousemove", mouseMove, true);
	document.removeEventListener("mouseup", mouseUp, true);

    event.stopPropagation();
    event.preventDefault();
	gMyScrollArea.refresh();
	gMyScrollbar.refresh();
	bgMyScrollArea.refresh();
	bgMyScrollbar.refresh();
	
	var x = window.innerHeight;
	var y = window.innerWidth;

	widget.setPreferenceForKey(y +'.0',"width");
	widget.setPreferenceForKey(x +'.0',"height");
}

// SCROLL AREA / SCROLL BAR
if (window.widget) {
	widget.onremove = remove;
	widget.onhide = hide;
	widget.onshow = show;
}

function remove() {
}

function hide() {
}

function show() {
	generatePopup();
	var d = new Date()
	var timeNow = d.getTime();
	if (widget.preferenceForKey("update") == "true" && upToDate == 1 && updateTime > timeNow) {
		search();
	}

}
function showPrefs() {
	gFrontHeight = window.innerHeight;
	gFrontWidth = window.innerWidth;
	var startingRect = new AppleRect (0, 0, window.innerWidth, window.innerHeight);
	var finishingRect = new AppleRect (0, 0, 450, 400);
	var currentRectAnimation = new AppleRectAnimation( startingRect, finishingRect, rectHandler );
	var currentAnimator = new AppleAnimator (500, 13);
	currentAnimator.addAnimation(currentRectAnimation);
	currentAnimator.oncomplete = flipToBack;
	currentAnimator.start();
}

function rectHandler( rectAnimation, currentRect, startingRect, finishingRect ) {
	document.getElementById("middle").style.height = (currentRect.bottom-40);
	document.getElementById("bottom").style.top = (currentRect.bottom-13);
	window.resizeTo(currentRect.right, currentRect.bottom);
}

function flipToFront() {
	var startingRect = new AppleRect (0, 0, 450, 400);
	var finishingRect = new AppleRect (0, 0, gFrontWidth, gFrontHeight);

	var currentRectAnimation = new AppleRectAnimation( startingRect, finishingRect, rectHandler );

	var currentAnimator = new AppleAnimator (500, 13);
	currentAnimator.addAnimation(currentRectAnimation);
	currentAnimator.start();
	search();
}

function flipToBack(event) {
	var front = document.getElementById("front");
	var back = document.getElementById("back");

	if (window.widget) {
		widget.prepareForTransition("ToBack");
	}

	front.style.display = "none";
	back.style.display = "block";

	if (window.widget) {
		setTimeout('widget.performTransition();', 0);
	}
	bgMyScrollArea.refresh();
	bgMyScrollbar.refresh();
}

function showFront(event) {
	OneChannel = null;
	var popupToChange = document.getElementById("channelPopup");	// replace with ID of popup
	popupToChange.value = "0";
	popupChannels("channelPopup");
	document.getElementById("channelPopup_Text").innerText = "Alle kanaler";

	if (lastID != 3)
		find();
		
	var front = document.getElementById("front");
	var back = document.getElementById("back");

	if (window.widget) {
		widget.prepareForTransition("ToFront");
	}

	front.style.display="block";
	back.style.display="none";

	if (window.widget) {
		setTimeout('widget.performTransition();', 0);
	}
	setTimeout("flipToFront()", 750);
	popupChannel();
	check_clear();
}

function slider(value) {
	widget.setPreferenceForKey("v"+ value,"slider");
	sliderValue = value;
	var tempBop
	if (articleLenght(value) == 0)
		tempBop = "Ingen beskrivelse"
	else if (articleLenght(value) == 1)
		tempBop = "Beskrivelsen begrenses til 1 setning"
	else if (articleLenght(value) == 99)
		tempBop = "Full beskrivelse"
	else
		tempBop = "Beskrivelsen begrenses til "+ articleLenght(value) +" setninger"


	document.getElementById("ical_length").innerHTML = tempBop;
}

function articleLenght(value) {
	var leng;
	if (value == 0) { leng = 0; }
	else if (value > 0 && value < 0.2) { leng = 1;}
	else if (value >= 0.2 && value < 0.4) { leng = 2; }
	else if (value >= 0.4 && value < 0.6) { leng = 3; }
	else if (value >= 0.6 && value < 0.8) { leng = 4; }
	else if (value >= 0.8 && value < 1) { leng = 5; }

	else if (value == 1) { leng = 99; }
	return leng;
}

function focus() {
	if (lastID == 4) { lastID = 5; }
	else if(widget.preferenceForKey("update") == "true") { search(); }

}
